Bug 93916 - multimedia/vcdimager install fails
Summary: multimedia/vcdimager install fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-27 21:30 UTC by Ben Calvert
Modified: 2006-04-15 20:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Calvert 2006-02-27 21:30:10 UTC
'make install' of multimedia/vcdimager fails during install-info stage.

ben@lorax /usr/ports/multimedia/vcdimager
$ sudo make install
===>  Installing for vcdimager-0.7.23_1
===>   vcdimager-0.7.23_1 depends on executable: pkg-config - found
===>   vcdimager-0.7.23_1 depends on shared library: popt.0 - found
===>   vcdimager-0.7.23_1 depends on shared library: xml2 - found
===>   vcdimager-0.7.23_1 depends on shared library: cdio.6 - found
===>   Generating temporary packing list
===>  Checking if multimedia/vcdimager already installed
Making install in include
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include'
Making install in libvcd
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include/libvcd'
gmake  install-am
gmake[3]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include/libvcd'
gmake[4]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include/libvcd'
gmake[4]: Nothing to be done for `install-exec-am'.
test -z "/usr/local/include/libvcd" || /bin/sh ../../mkinstalldirs "/usr/local/include/libvcd"
 install  -o root -g wheel -m 444 'files.h' '/usr/local/include/libvcd/files.h'
 install  -o root -g wheel -m 444 'files_private.h' '/usr/local/include/libvcd/files_private.h'
 install  -o root -g wheel -m 444 'inf.h' '/usr/local/include/libvcd/inf.h'
 install  -o root -g wheel -m 444 'info.h' '/usr/local/include/libvcd/info.h'
 install  -o root -g wheel -m 444 'logging.h' '/usr/local/include/libvcd/logging.h'
 install  -o root -g wheel -m 444 'sector.h' '/usr/local/include/libvcd/sector.h'
 install  -o root -g wheel -m 444 'types.h' '/usr/local/include/libvcd/types.h'
 install  -o root -g wheel -m 444 'version.h' '/usr/local/include/libvcd/version.h'
gmake[4]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include/libvcd'
gmake[3]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include/libvcd'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include/libvcd'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include'
gmake[3]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include'
gmake[3]: Nothing to be done for `install-exec-am'.
gmake[3]: Nothing to be done for `install-data-am'.
gmake[3]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/include'
Making install in lib
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/lib'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/lib'
test -z "/usr/local/lib" || /bin/sh ../mkinstalldirs "/usr/local/lib"
 /bin/sh ../libtool --mode=install /usr/bin/install -c -o root -g wheel  'libvcdinfo.la' '/usr/local/lib/libvcdinfo.la'
/usr/bin/install -c -o root -g wheel .libs/libvcdinfo.so.2 /usr/local/lib/libvcdinfo.so.2
(cd /usr/local/lib && rm -f libvcdinfo.so && ln -s libvcdinfo.so.2 libvcdinfo.so)
(cd /usr/local/lib && rm -f libvcdinfo.so && ln -s libvcdinfo.so.2 libvcdinfo.so)
/usr/bin/install -c -o root -g wheel .libs/libvcdinfo.lai /usr/local/lib/libvcdinfo.la
/usr/bin/install -c -o root -g wheel .libs/libvcdinfo.a /usr/local/lib/libvcdinfo.a
ranlib /usr/local/lib/libvcdinfo.a
chmod 644 /usr/local/lib/libvcdinfo.a
----------------------------------------------------------------------
Libraries have been installed in:
   /usr/local/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the `LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the `LD_RUN_PATH' environment variable
     during linking
   - use the `-Wl,--rpath -Wl,LIBDIR' linker flag

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
gmake[2]: Nothing to be done for `install-data-am'.
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/lib'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/lib'
Making install in frontends
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends'
Making install in cli
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/cli'
gmake[3]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/cli'
test -z "/usr/local/bin" || /bin/sh ../../mkinstalldirs "/usr/local/bin"
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'vcdimager' '/usr/local/bin/vcdimager'
install -o root -g wheel -m 555 -s vcdimager /usr/local/bin/vcdimager
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'cdxa2mpeg' '/usr/local/bin/cdxa2mpeg'
install -o root -g wheel -m 555 -s cdxa2mpeg /usr/local/bin/cdxa2mpeg
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'vcd-info' '/usr/local/bin/vcd-info'
install -o root -g wheel -m 555 -s .libs/vcd-info /usr/local/bin/vcd-info
test -z "/usr/local/man/man1" || /bin/sh ../../mkinstalldirs "/usr/local/man/man1"
 install  -o root -g wheel -m 444 './vcdimager.1' '/usr/local/man/man1/vcdimager.1'
 install  -o root -g wheel -m 444 './cdxa2mpeg.1' '/usr/local/man/man1/cdxa2mpeg.1'
 install  -o root -g wheel -m 444 './vcd-info.1' '/usr/local/man/man1/vcd-info.1'
gmake[3]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/cli'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/cli'
Making install in xml
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/xml'
gmake  install-am
gmake[3]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/xml'
gmake[4]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/xml'
test -z "/usr/local/bin" || /bin/sh ../../mkinstalldirs "/usr/local/bin"
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'vcdxbuild' '/usr/local/bin/vcdxbuild'
install -o root -g wheel -m 555 -s vcdxbuild /usr/local/bin/vcdxbuild
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'vcdxgen' '/usr/local/bin/vcdxgen'
install -o root -g wheel -m 555 -s vcdxgen /usr/local/bin/vcdxgen
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'vcdxrip' '/usr/local/bin/vcdxrip'
install -o root -g wheel -m 555 -s .libs/vcdxrip /usr/local/bin/vcdxrip
  /bin/sh ../../libtool --mode=install install  -s -o root -g wheel -m 555 'vcdxminfo' '/usr/local/bin/vcdxminfo'
install -o root -g wheel -m 555 -s vcdxminfo /usr/local/bin/vcdxminfo
test -z "/usr/local/man/man1" || /bin/sh ../../mkinstalldirs "/usr/local/man/man1"
 install  -o root -g wheel -m 444 './vcdxbuild.1' '/usr/local/man/man1/vcdxbuild.1'
 install  -o root -g wheel -m 444 './vcdxgen.1' '/usr/local/man/man1/vcdxgen.1'
 install  -o root -g wheel -m 444 './vcdxrip.1' '/usr/local/man/man1/vcdxrip.1'
 install  -o root -g wheel -m 444 './vcdxminfo.1' '/usr/local/man/man1/vcdxminfo.1'
gmake[4]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/xml'
gmake[3]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/xml'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends/xml'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends'
gmake[3]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends'
gmake[3]: Nothing to be done for `install-exec-am'.
gmake[3]: Nothing to be done for `install-data-am'.
gmake[3]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/frontends'
Making install in test
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/test'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/test'
gmake[2]: Nothing to be done for `install-exec-am'.
gmake[2]: Nothing to be done for `install-data-am'.
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/test'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/test'
Making install in amiga
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/amiga'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/amiga'
gmake[2]: Nothing to be done for `install-exec-am'.
gmake[2]: Nothing to be done for `install-data-am'.
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/amiga'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/amiga'
Making install in docs
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/docs'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/docs'
gmake[2]: Nothing to be done for `install-exec-am'.
test -z "/usr/local/info" || /bin/sh ../mkinstalldirs "/usr/local/info"
 install  -o root -g wheel -m 444 './vcdimager.info' '/usr/local/info/vcdimager.info'
 install  -o root -g wheel -m 444 './vcd-info.info' '/usr/local/info/vcd-info.info'
 install  -o root -g wheel -m 444 './vcdxrip.info' '/usr/local/info/vcdxrip.info'
 install-info --info-dir='/usr/local/info' '/usr/local/info/vcdimager.info'
 install-info --info-dir='/usr/local/info' '/usr/local/info/vcd-info.info'
install-info: menu item `vcd-info' already exists, for file `vcdimager'
 install-info --info-dir='/usr/local/info' '/usr/local/info/vcdxrip.info'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/docs'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/docs'
Making install in example
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/example'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/example'
gmake[2]: Nothing to be done for `install-exec-am'.
gmake[2]: Nothing to be done for `install-data-am'.
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/example'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23/example'
gmake[1]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23'
gmake[2]: Entering directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23'
gmake[2]: Nothing to be done for `install-exec-am'.
test -z "/usr/local/libdata/pkgconfig" || /bin/sh ./mkinstalldirs "/usr/local/libdata/pkgconfig"
 install  -o root -g wheel -m 444 'libvcdinfo.pc' '/usr/local/libdata/pkgconfig/libvcdinfo.pc'
gmake[2]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23'
gmake[1]: Leaving directory `/usr/ports/multimedia/vcdimager/work/vcdimager-0.7.23'
install-info --quiet /usr/local/info/vcdimager.info /usr/local/info/dir
if [ "`/usr/bin/dirname vcdimager`" != "." ]; then  echo "@unexec /bin/rmdir %D/info/`/usr/bin/dirname vcdimager` 2> /dev/null || true" >> /usr/ports/multimedia/vcdimager/work/.PLIST.mktmp;  fi
install-info --quiet /usr/local/info/vcdxrip.info /usr/local/info/dir
if [ "`/usr/bin/dirname vcdxrip`" != "." ]; then  echo "@unexec /bin/rmdir %D/info/`/usr/bin/dirname vcdxrip` 2> /dev/null || true" >> /usr/ports/multimedia/vcdimager/work/.PLIST.mktmp;  fi
install-info --quiet /usr/local/info/vcd-info.info /usr/local/info/dir
install-info: menu item `vcd-info' already exists, for file `vcdimager'
*** Error code 1

Stop in /usr/ports/multimedia/vcdimager.

How-To-Repeat: cd /usr/ports/multimedia/vcdimager
make && make install
Comment 1 Robert Uzzi 2006-03-02 03:41:32 UTC
I've also seen this bug on two different systems, a 5.4 and the other a
6.1-prerelease.
Comment 2 Tilman Keskinoz freebsd_committer 2006-04-15 20:50:14 UTC
State Changed
From-To: open->closed

This was fixed four weeks ago by nork